### Type parameters

- #### T

- #### R: Attribute

### Hierarchy

- PropertyMetadata

## Index

### Properties

- isSortedCollection
- key
- keyForGSI
- mapper
- name
- nameDb
- sortKeyForLSI
- transient
- typeInfo

## Properties

### Optional isSortedCollection

isSortedCollection: undefined | false | true

- Defined in decorator/metadata/property-metadata.model.ts:37

### Optional key

key: Key

- Defined in decorator/metadata/property-metadata.model.ts:20

### Optional keyForGSI

keyForGSI: undefined | object

- Defined in decorator/metadata/property-metadata.model.ts:42

### Optional mapper

mapper: ModelConstructor<MapperForType<any, R>>

- Defined in decorator/metadata/property-metadata.model.ts:39

### name

name: keyof T

- Defined in decorator/metadata/property-metadata.model.ts:23

### nameDb

nameDb: string

- Defined in decorator/metadata/property-metadata.model.ts:26

### Optional sortKeyForLSI

sortKeyForLSI: string[]

- Defined in decorator/metadata/property-metadata.model.ts:45

### Optional transient

transient: undefined | false | true

- Defined in decorator/metadata/property-metadata.model.ts:48

### Optional typeInfo

typeInfo: Partial<TypeInfo>

- Defined in decorator/metadata/property-metadata.model.ts:32

Generated using TypeDoc